# Linux Kernel Module Cheat

#### 38.15.6. lkmc_home

`lkmc_home` refers to the target base directory in which we put all our custom built stuff, such as userland executables and kernel modules.

The current value can be found with:

    ./getvar guest_lkmc_home

In the past, we used to dump everything into the root filesystem, but as the userland structure got more complex with subfolders, we decided that the risk of conflicting with important root files was becoming too great.

To save you from typing that path every time, we have made our most common commands `cd` into that directory by default for you, e.g.:

- interactive shells `cd` there through BusyBox shell initrc files

- `--eval` and `--eval-after` through Replace init and Run command at the end of BusyBox init

Whenever a relative path is used inside a guest sample command, e.g. `insmod hello.ko` or `./hello.out`, it means that the path lives in `lkmc_home` unless stated otherwise.